# Test for opkbuild's version output
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"

plan_ 1

got="$(opkbuild -V)"
case "${got}" in
	'opkbuild (opkbuild) '*)
		result_ 'ok' -- 'opkbuild version output'
		;;
	*)
		result_ 'not ok' -- 'opkbuild version output'
		diag_ " Failed test 'opkbuild version output'"
		diag_ "         got: '${got}'"
		;;
esac
